Package org.drinkless.tdlib

# Class TdApi.PageBlockAuthorDate

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PageBlock
org.drinkless.tdlib.TdApi.PageBlockAuthorDate

Enclosing class:
  `TdApi`

public static class TdApi.PageBlockAuthorDate extends TdApi.PageBlock
The author and publishing date of a page.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.PageBlock

  `TdApi.PageBlock.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.RichText`
  `author`
  Author.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `publishDate`
  Point in time (Unix timestamp) when the article was published; 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PageBlockAuthorDate()`
  The author and publishing date of a page.
  `PageBlockAuthorDate(TdApi.RichText author, int publishDate)`
  The author and publishing date of a page.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### author

    public TdApi.RichText author
    Author.

  - ### publishDate

    public int publishDate
    Point in time (Unix timestamp) when the article was published; 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PageBlockAuthorDate

    public PageBlockAuthorDate()
    The author and publishing date of a page.

  - ### PageBlockAuthorDate

    public PageBlockAuthorDate(TdApi.RichText author, int publishDate)
    The author and publishing date of a page.
    Parameters:
      `author` - Author.
      `publishDate` - Point in time (Unix timestamp) when the article was published; 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.PageBlock`
    Returns:
      this.CONSTRUCTOR